Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

OperationCreateBentPlateByFaces Method (Part, Face, Part, Face)

Modifies the first plate by adding a cylindrical bend that connects it to the second plate creating a new BentPlate instance based on two parts and selected faces in each part. See CreateBentPlateByFaces(Part, Face, Part, Face, BentPlateBendShape).

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
public static BentPlate CreateBentPlateByFaces(
	Part part1,
	Face face1,
	Part part2,
	Face face2
)

Parameters

part1
Type: Tekla.Structures.ModelPart
The first part.
face1
Type: Tekla.Structures.SolidFace
The selected face on the first part.
part2
Type: Tekla.Structures.ModelPart
The second part.
face2
Type: Tekla.Structures.SolidFace
The selected face on the second part.

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise.
See Also